name: Update submodules
on:
  repository_dispatch:
    types: update

jobs:
  update:
    runs-on: ubuntu-latest
    steps:
      - uses: actions/checkout@v4
        with:
          submodules: recursive

      - name: Update module
        run: |
          pushd WinApps-Launcher
            branch=$(git rev-parse --abbrev-ref origin/HEAD | sed "s|origin/||")
            git config remote.origin.fetch "+refs/heads/$branch:refs/remotes/origin/$branch"
            git fetch --depth=1 origin "refs/heads/$branch"
          popd

          git submodule update --init --remote WinApps-Launcher

      - name: Commit and push
        uses: EndBug/add-and-commit@v9
        with:
          add: "WinApps-Launcher"
          default_author: github_actions
          message: "Update submodules"
          push: true
          fetch: true
